Bug 1422400 - [abrt] cinnamon-screensaver: stage.py:766:position_overlay_child:AttributeError: 'NoneType' object has no attribute 'get_preferred_width'
Summary: [abrt] cinnamon-screensaver: stage.py:766:position_overlay_child:AttributeErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3076e59f367b1bf32e58cc2c85c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 08:52 UTC by argonym
Modified: 2017-03-01 01:20 UTC (History)
3 users (show)

Fixed In Version: cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 08:49:30 UTC


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2017-02-15 08:52 UTC, argonym
no flags Details
File: environ (1.49 KB, text/plain)
2017-02-15 08:52 UTC, argonym
no flags Details

Description argonym 2017-02-15 08:52:02 UTC
Version-Release number of selected component:
cinnamon-screensaver-3.2.13-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.9.7-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
stage.py:766:position_overlay_child:AttributeError: 'NoneType' object has no attribute 'get_preferred_width'

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/stage.py", line 766, in position_overlay_child
    unlock_mw, unlock_nw = self.unlock_dialog.get_preferred_width()
AttributeError: 'NoneType' object has no attribute 'get_preferred_width'

Local variables in innermost frame:
allocation: <Gdk.Rectangle object at 0x7fccc7a628e8 (GdkRectangle at 0x7fff7e6def00)>
region_h: 480.0
child: <clock.ClockWidget object at 0x7fccc7a521f8 (clock+ClockWidget at 0x564fbc83d6f0)>
region_w: 853.3333333333334
monitor_rect: <Gdk.Rectangle object at 0x7fccc7a621c8 (GdkRectangle at 0x564fbc458030)>
nat_rect: <Gtk.Requisition object at 0x7fccc7a62948 (GtkRequisition at 0x564fbcb0d2b0)>
self: <stage.Stage object at 0x7fccc7a7e438 (stage+Stage at 0x564fbc4b8a60)>
current_monitor: 0
min_rect: <Gtk.Requisition object at 0x7fccc7a62588 (GtkRequisition at 0x564fbc98dfb0)>
overlay: <Gtk.Overlay object at 0x7fccd4169f78 (GtkOverlay at 0x564fbc40f860)>

Comment 1 argonym 2017-02-15 08:52:07 UTC
Created attachment 1250523 [details]
File: backtrace

Comment 2 argonym 2017-02-15 08:52:08 UTC
Created attachment 1250524 [details]
File: environ

Comment 3 Fedora Update System 2017-02-20 11:23:29 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 4 Fedora Update System 2017-02-20 11:24:43 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 5 Fedora Update System 2017-02-20 20:23:44 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 6 Fedora Update System 2017-02-20 21:22:42 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 7 Fedora Update System 2017-02-28 08:49:30 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-03-01 01:20:31 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.